# Couenne::CouenneVTObject Class Reference

OsiObject for violation transfer on variables in a MINLP. More...

`#include <CouenneVTObject.hpp>`

Inheritance diagram for Couenne::CouenneVTObject:

List of all members.

## Public Member Functions
| CouenneVTObject (CouenneCutGenerator *c, CouenneProblem *p, exprVar *ref, Bonmin::BabSetupBase *base, JnlstPtr jnlst, int varSelection)
| Constructor with information for branching point selection strategy.
| CouenneVTObject (const CouenneVTObject &src)
| Copy constructor.
| ~CouenneVTObject ()
| Destructor.
virtual CouenneObject * | clone () const
| Cloning method.
virtual double | infeasibility (const OsiBranchingInformation *info, int &way) const
| compute infeasibility of this variable x as the sum/min/max of all infeasibilities of auxiliaries w whose defining function depends on x |w - f(x)|

## Detailed Description

OsiObject for violation transfer on variables in a MINLP.

Definition at line 19 of file CouenneVTObject.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneVTObject::CouenneVTObject | ( | CouenneCutGenerator * | c,
|  | CouenneProblem * | p,
|  | exprVar * | ref,
|  | Bonmin::BabSetupBase * | base,
|  | JnlstPtr | jnlst,
|  | int | varSelection |
| ) |  |  | `[inline]`

Constructor with information for branching point selection strategy.

Definition at line 24 of file CouenneVTObject.hpp.

Referenced by clone().

Couenne::CouenneVTObject::CouenneVTObject | ( | const CouenneVTObject & | src | ) | `[inline]`

Copy constructor.

Definition at line 35 of file CouenneVTObject.hpp.

Couenne::CouenneVTObject::~CouenneVTObject | ( |  | ) | `[inline]`

Destructor.

Definition at line 39 of file CouenneVTObject.hpp.

## Member Function Documentation

virtual CouenneObject* Couenne::CouenneVTObject::clone | ( |  | ) | const`[inline, virtual]`

Cloning method.

Reimplemented from Couenne::CouenneVarObject.

Definition at line 42 of file CouenneVTObject.hpp.

References CouenneVTObject().

virtual double Couenne::CouenneVTObject::infeasibility | ( | const OsiBranchingInformation * | info,
|  | int & | way |
| ) |  |  | const`[virtual]`

compute infeasibility of this variable x as the sum/min/max of all infeasibilities of auxiliaries w whose defining function depends on x |w - f(x)|

Reimplemented from Couenne::CouenneVarObject.

The documentation for this class was generated from the following file:

- CouenneVTObject.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines